# Visualization
TKV3d
PrsMgr

# PrsMgr_Presentation Class Reference

`#include <PrsMgr_Presentation.hxx>`

Inheritance diagram for PrsMgr_Presentation:

[legend]

## Public Member Functions

virtual Standard_EXPORT PrsMgr_KindOfPrs | KindOfPresentation () const =0
| 2D or 3D
const Handle_PrsMgr_PresentationManager & | PresentationManager () const
| returns the PresentationManager in which the presentation has been created.
void | SetUpdateStatus (const Standard_Boolean aStat)
Standard_Boolean | MustBeUpdated () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | PrsMgr_Presentation (const Handle(PrsMgr_PresentationManager)&aPresentationManager)

## Protected Attributes

Handle_PrsMgr_PresentationManager | myPresentationManager
Standard_Boolean | myMustBeUpdated

## Private Member Functions

virtual Standard_EXPORT void | Display ()=0
virtual Standard_EXPORT void | Erase () const =0
virtual Standard_EXPORT void | Highlight ()=0
virtual Standard_EXPORT void | Unhighlight () const =0
virtual Standard_EXPORT Standard_Boolean | IsHighlighted () const =0
virtual Standard_EXPORT Standard_Boolean | IsDisplayed () const =0
virtual Standard_EXPORT Standard_Integer | DisplayPriority () const =0
virtual Standard_EXPORT void | SetDisplayPriority (const Standard_Integer aNewPrior)=0
virtual Standard_EXPORT void | Clear ()=0

## Constructor & Destructor Documentation

Standard_EXPORT PrsMgr_Presentation::PrsMgr_Presentation | ( | const Handle(PrsMgr_PresentationManager)& | aPresentationManager | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void PrsMgr_Presentation::Clear | ( |  | ) | `[private, pure virtual]`

| Implemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

virtual Standard_EXPORT void PrsMgr_Presentation::Display | ( |  | ) | `[private, pure virtual]`

| Implemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

virtual Standard_EXPORT Standard_Integer PrsMgr_Presentation::DisplayPriority | ( |  | ) | const`[private, pure virtual]`

| Implemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

virtual Standard_EXPORT void PrsMgr_Presentation::Erase | ( |  | ) | const`[private, pure virtual]`

| Implemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

Standard_EXPORT const PrsMgr_Presentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

virtual Standard_EXPORT void PrsMgr_Presentation::Highlight | ( |  | ) | `[private, pure virtual]`

| Implemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

virtual Standard_EXPORT Standard_Boolean PrsMgr_Presentation::IsDisplayed | ( |  | ) | const`[private, pure virtual]`

| Implemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

virtual Standard_EXPORT Standard_Boolean PrsMgr_Presentation::IsHighlighted | ( |  | ) | const`[private, pure virtual]`

| Implemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

virtual Standard_EXPORT PrsMgr_KindOfPrs PrsMgr_Presentation::KindOfPresentation | ( |  | ) | const`[pure virtual]`

| Implemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

Standard_Boolean PrsMgr_Presentation::MustBeUpdated | ( |  | ) | const`[inline]`

const Handle_PrsMgr_PresentationManager& PrsMgr_Presentation::PresentationManager | ( |  | ) | const

virtual Standard_EXPORT void PrsMgr_Presentation::SetDisplayPriority | ( | const Standard_Integer | aNewPrior | ) | `[private, pure virtual]`

| Implemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

void PrsMgr_Presentation::SetUpdateStatus | ( | const Standard_Boolean | aStat | ) | `[inline]`

virtual Standard_EXPORT void PrsMgr_Presentation::Unhighlight | ( |  | ) | const`[private, pure virtual]`

| Implemented in PrsMgr_Presentation2d, and PrsMgr_Presentation3d.

## Field Documentation

Standard_Boolean PrsMgr_Presentation::myMustBeUpdated `[protected]`

Handle_PrsMgr_PresentationManager PrsMgr_Presentation::myPresentationManager `[protected]`

The documentation for this class was generated from the following files:

- PrsMgr_Presentation.hxx
- PrsMgr_Presentation.lxx